Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | List of all members
ActionButton Class Reference

Manages all the Qt signals coming from the main window. More...

`#include <actionbutton.h>`

Inherits QObject.

## Public Slots
void | open ()
| The slot associated to the Open menu. More...
void | saveMenu ()
| The slot associated to the Save Menu. More...
void | drawButton ()
| The slot associated to the Draw icon. More...
void | eraseButton ()
| The slot associated to the Erase icon. More...
void | dragButton ()
| The slot associated to the Drag icon. More...
void | saveButton ()
| The slot associated to the Save icon. More...
void | zoomInButton ()
| The slot associated to the Zoom in icon. More...
void | zoomOutButton ()
| The slot associated to the Zoom out icon. More...
void | modifyButton ()
| The slot associated to the Modify menu. More...

## Public Member Functions
| ActionButton (QMainWindow *mainWindow_1)
| The constructor of the ActionButton class. More...
virtual | ~ActionButton ()
| Class destructor.

## Detailed Description

Manages all the Qt signals coming from the main window.

This class dispatches all the signals coming from the application Main Window (ImageViewer) to the right classes.

Author
  David Carmona-Moreno

Version
  1.0

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Constructor & Destructor Documentation

ActionButton::ActionButton | ( | QMainWindow * | mainWindow_1 | ) |
| inline

The constructor of the ActionButton class.

Parameters

  mainWindow_1 | The application Main Window

## Member Function Documentation

void ActionButton::dragButton | ( |  | ) |
| slot

The slot associated to the Drag icon.

Returns
  Void.

void ActionButton::drawButton | ( |  | ) |
| slot

The slot associated to the Draw icon.

Returns
  Void.

void ActionButton::eraseButton | ( |  | ) |
| slot

The slot associated to the Erase icon.

Returns
  Void.

void ActionButton::modifyButton | ( |  | ) |
| slot

The slot associated to the Modify menu.

Returns
  Void.

void ActionButton::open | ( |  | ) |
| slot

The slot associated to the Open menu.

Returns
  Void.

void ActionButton::saveButton | ( |  | ) |
| slot

The slot associated to the Save icon.

Returns
  Void.

void ActionButton::saveMenu | ( |  | ) |
| slot

The slot associated to the Save Menu.

Returns
  Void.

void ActionButton::zoomInButton | ( |  | ) |
| slot

The slot associated to the Zoom in icon.

Returns
  Void.

void ActionButton::zoomOutButton | ( |  | ) |
| slot

The slot associated to the Zoom out icon.

Returns
  Void.

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/actionbutton.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/actionbutton.cpp